
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[转载收藏]Unix基础中一些东西 / iVAN</title>

    <meta name="description" content="[转载收藏]Unix基础中一些东西 Linux Shell脚中经常会遇到一大堆美元符号 ($),有些符号容易搞混,他们代表的含义我做个记录: $0 shell的命令本身(包括完整路径)  $1到$9 数字表示shell 的第几个参数  $# 传递到脚本的参数个数  $* 以一个单字符串显示所有向脚本传递的参数  $$ 脚本运行的ID号  $! 后台运行的最后一个进程的ID号  $@ 与$*相同.  $- 显示shell使用的当前选项.  $? 显示最后命令的执行状况.0表示没有错误.  举个例子: [www.linuxidc.co">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[转载收藏]Unix基础中一些东西</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Linux Shell脚中经常会遇到一大堆美元符号 ($)，有些符号容易搞混，他们代表的含义我做个记录：</p>
<p>$0 shell的命令本身(包括完整路径) <br />
$1到$9 数字表示shell 的第几个参数 <br />
$# 传递到脚本的参数个数 <br />
$* 以一个单字符串显示所有向脚本传递的参数 <br />
$$ 脚本运行的ID号 <br />
$! 后台运行的最后一个进程的ID号 <br />
$@ 与$*相同。 <br />
$- 显示shell使用的当前选项。 <br />
$? 显示最后命令的执行状况。0表示没有错误。 <br />
举个例子：</p>
<p>[www.linuxidc.com@linuxidc /tmp]$ ./test.sh p1 p2 <br />
$0 is { ./test.sh } <br />
$1 is { p1 } <br />
$2 is { p2 } <br />
$* is { p1 p2 } <br />
$@ is { p1 p2 } <br />
$# is { 2 } <br />
$! is { } <br />
$$ is { 25643 } <br />
$? is { 0 }</p>
<p>本文参考：http://blog.sina.com.cn/s/blog_63ac8a6c0100wf3p.html</p>
<p>Unix系统永远只会越来越多，开发人员就没必要特意学习它们的安装、配置和管理了，就全部交给集成人员吧。</p>
<p>但开发人员行走于Unix之间，依然有四样东西要熟练。</p>
<h2>一、VI</h2>
<p>虽然Unix上的文本编辑器已经越来越好用，但不在Console前面，网速也不够连XWindows的时候，还是要依赖VI。<br />
回想VI的时代背景，发现VI对开发人员已经周到得离谱了，热键多到你双手不离键盘就能完成大半编辑工作。<br />
建议自己制作一张自己认为有用，但又经常忘记的命令的sheet--参见附录A，拿出考试的力气把它背熟。</p>
<h2>二、文本处理</h2>
<p>开发人员在Unix下干得最多的除了Make和除Bug外，大概就是处理日志文件、业务文件的查错和统计了。<br />
只会more和grep是不够的，开发老手会把awk,sed,grep,sort,uniq,wc,head,tail这些文本处理命令，通过管道玩具式的拆卸拼装，最后完成一件原本以为非编写大段代码不可的工作。周到的参数设定，让人再一次感叹那个简单的年代，这样复杂到极致的设计.......怪不得《Unix 编程艺术》的作者有那么骄傲的自觉。</p>
<p>比如车东的每月访问TOP10 统计脚本：</p>
<p>awk -F '/ t' '{ print $ 4 }' 2004_2 . txt| grep chedong . com / tech / | uniq -c| sort -rn|head - 10</p>
<p>以上命令的具体用法--参见附录B：文本处理命令小结，大概说明如下：</p>
<ul>
<li>awk -F '/t' 将2004_2.txt访问纪录文件，用TAB分割，打印第4列</li>
<li>grep chedong.com/tech 只列出chedong.com/tech笔记目录下的文档</li>
<li>uniq -c 汇总计数</li>
<li>sort -rn 按数值排序</li>
<li>head -10 TOP 10</li>
</ul>
<p>补充：这些命令几乎都支持正则表达式，学正则比较好的书是OReilly的《Mastering.Regular.Expressions.3rd 2006》</p>
<h2>三、Bash Shell 编程</h2>
<p>上面的纯粹命令管道拼装完成不了所有的事情，有时需要用Shell编程来配合调度。 </p>
<p>编程是开发人员的天赋本能，不论什么语言，看看参考手册应该就能上手。</p>
<p>见<a href="http://xiaowang.net/bgb-cn/index.html" rel="external nofollow noreferrer">《Bash新手指南中文版》</a> ，一份快速的Bash Shell编程指南。</p>
<p>更进一步，可以学习perl。</p>
<h2>四、Make or AutoMake</h2>
<p>用过Java的Ant后，想起Make就觉得很烦，很厌倦。总归还是会的，见<a href="http://www.linuxsir.org/main/doc/gnumake/GNUmake_v3.80-zh_CN_html/" rel="external nofollow noreferrer">《GNU Make 3.8.0 中文手册》</a></p>
<p>不过即使make已经精通到变态，每个人写出来的MakeFile还是千奇百怪，再看看开源项目们个个都是automake+autoconf了，我们自己也长进一点吧。手工编写MakeFile.am，让auotomake变成MakeFile.in，再让用户./configure 生成最终的MakeFile。</p>
<p>autotools既能跨越平台，又是标准的写法，最重要的是，编写MakeFile.am的工作量比MakeFile少多了，只要简单的定义目标文件，先要处理的子目录，需要的源文件，头文件与库文件就可以了。</p>
<p>入门文章<br /><a href="http://www.ccw.com.cn/htm/app/linux/develop/01_7_25_7.asp" rel="external nofollow noreferrer">使用AutoMake轻松生成Makefile</a> <br /><a href="http://www-128.ibm.com/developerworks/cn/linux/l-makefile/index.html" rel="external nofollow noreferrer">IBM DW:</a><a>例解 autoconf 和 automake 生成 Makefile 文件</a></p>
<p>上面两文只作入门了解，实际的操作步骤--参见附录C：我的automake1.9步骤小结。</p>
<p>完整的免费电子书：<br /><a href="http://sources.redhat.com/autobook/download.html" rel="external nofollow noreferrer">《GNU Autoconf, Automake and Libtool》</a></p>
<p>另外，ACE里还贡献了一个更厉害的<a href="http://www.ociweb.com/products/mpc" rel="external nofollow noreferrer">MPC(Makefile, Project, and Workspace Creator )</a>， 自动的生成MakeFile.am或者VC的项目文件。</p>
<h2>附录A：我的VI易忘命令手册</h2>
<p><strong>上下左右：</strong><br />
ctrl+u/d 上下半屏，ctrl+f/b,上下一屏<br />
H/G屏幕头/文章末，0/$ 行首行末</p>
<p><strong>增删改：</strong><br />
yy/dd 复制/删除一行，p/P：将yy/dd的内容paste出来<br />
I/A 在行首/末添加， o/O 开新行，d0/d$ 删除到行首，行末<br />
u:undo</p>
<p><strong>查：</strong><br />
? 向前查找， n/N 重复上一次查找</p>
<h2>附录B: 文本处理命令小结</h2>
<p><strong>awk：</strong>处理结构化的文本(每行以固定符号分成若干列)，提取打印某些字段，如：<br />
ls -l|awk '{print $1}' --将ls-l结果的第一列打印出来<br />
awk -F":" '{print $1" "$6}' /etc/passwd ，将以:分割的/etc/passwd文件的第1，6列打印出来，中间以空格分开<br />
详见<a href="http://www-128.ibm.com/developerworks/cn/linux/shell/awk/awk-1/index.html" rel="external nofollow noreferrer">IBM DW中国的AWK实例</a>(共3篇) 或 <a href="http://xiaowang.net/bgb-cn/ch06.html" rel="external nofollow noreferrer">Bash新手指南中文版第6章</a>。</p>
<p><strong>grep：</strong>过滤，大家用得最多的命令，支持正则表达式。参数有：<br />
-i忽略大小写，-n显示line number，-c 统计在每个文件的出现次数，-l只显示符合的文件的名字。</p>
<p><strong>sed：</strong>流编辑器，主要用于替换，如：<br />
sed -e '1,10s/foo/bar/g' myfile2.txt 将1到10行的文本中的foo 替换成bar,s代表替换,g代表全局替换<br />
支持正则的替换字符串，可以只替换某个范围内的内容。<br />
用法不算简单,详见<a href="http://www.ibm.com/developerworks/cn/linux/shell/sed/sed-1/index.html" rel="external nofollow noreferrer">IBM DW中国的Sed实例</a>(共3篇)或 <a href="http://xiaowang.net/bgb-cn/ch05.html" rel="external nofollow noreferrer">Bash新手指南中文版第5章</a>。</p>
<p><strong>sort：</strong>排序，参数有：<br />
-r逆序, -n 数字比较 , -M 日历比较 Feb,Dec, -f 忽略大小写<br />
同样支持结构化文件，如<br />
sort -t : -k 1,1 /etc/passwd，以: 分割,只按第1列排序<br />
sort -t : -k 1,1 -k2.2,3.4 /etc/passwd ，以:分割,先按第1列排序,再按第2列的第二个字符到第3列的第4个字符排序。</p>
<p><strong>uniq：</strong>去除重复行。<br />
除了正常用法外，还有-c统计重复次数，和-u （唯一）和 -d （重复）两个参数,只显示唯一的和重复的行。</p>
<p><strong>wc：</strong> 统计。<br />
-l 行,-m 字符,-w 单词</p>
<h2>附录C: 我的automake1.9步骤小结</h2>
<ol>
<li>先编写MakeFile.am</li>
<li>运行autoscan，生成configure.scan</li>
<li>修改configure.scan，同时把文件改名为configure.in ：<br />
去除AC_CONFIG_HEADER([config.h])那行<br />
加入AM_INIT_AUTOMAKE([1.9 foreign]) (其中1.9是automake的版本号)<br />
加入AC_PROG_LIBTOOL (如果用libtool的话)<br />
检查AC_CONFIG_FILES，如果之前没有先写齐所有MakeFile.am，autoscan就不会帮你加入，需要自己手工补充。</li>
<li>libtoolize (如果用libtool的话)</li>
<li>aclocal</li>
<li>autoconf</li>
<li>automake --add-missing</li>
<li>./configure</li>
<li>make
<p>大家需要编写的文件从Makefile转为了Makefile.am 和configure.in, ACE的Examples是很好的参考。</li>
</ol>
<p>转载请注明出处：http://www.cnblogs.com/haochuang/ 8年IT工作经验,5年测试技术与管理,2年产品与项目管理,曾参与过云计算\云存储\车联网产品研发工作； 业余自媒体人,有技术类垂直微信公众号；如有招聘或求职方面需求,请Mail to uetest@qq.com ；或通过 QQ：363573922 微博：@念槐聚 联系；</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 16:11:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[转载收藏]Unix基础中一些东西的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqgeaOz.html" rel="bookmark">《UNIX环境高级编程（第3版）》&mdash;&mdash;第1章 UNIX基础知识   1&period;1　引言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 UNIX基础知识 1.1 引言 所有操作系统都为它们所运行的程序提供服务.典型的服务包括:执行新程序.打开文件.读文件.分配存储区以及获得当前时间等,本书集中阐述不同版本的UNIX操作系统所提供的服务. 想要按严格的先后顺序介绍UNIX,而不超前引用尚未介绍过的术语,这几乎是不可能的(可能也会令人厌烦).本章从程序员的角度快速浏览UNIX,对书中引用的一些术语和概念进行简要的说明并给出实例.在以后各章中,将对这些概念做更详细的说明.对于初涉UNIX环境的程序员,本章还简要介绍了UNIX提			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOBO6b.html" rel="bookmark">UNIX编程中错误输出的线程安全问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统调用失败原因分析 在 UNIX 编程中,我们会经常使用系统调用来完成期望的功能:而与此同时,我们也需要付出大段 的代码来检测.输出错误和其他意外情况. 以下是系统调用失败的可能原因: 系统可能出现资源短缺或者程序使用的资源可能超过系统为单个程序规定的上限.常见的情况有: 程序可能尝试分配大量内存,或者同时打开很多文件等. 程序执行操作时,可能会由于权限不足而被系统阻止.例如,程序可能会试图写一个只读的文件, 或者企图访问其他进程的内存空间. 传入系统调用的参数可能无效,原因可能是用户提供无效			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwJnxz.html" rel="bookmark">Unix&sol;Linux中&sol;usr目录简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Linux系统中,有一个很重要的目录--/usr目录.关于这个目 录名称的由来,网上主要有下面几种说法: user的缩写 User Shareable Read-only的缩写 Unix/User System Resources的缩写 Unix/User Software Resources的缩写 目前大多数版本的Linux中/usr目录主要放置的是可执行文件和先关库文件, 因此user好像不太可能. 查阅了相关的资料,关于/usr目录起源的说法如下: /usr usually contai			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1EWWjM.html" rel="bookmark">c语言基础-c语音基础中ASCII码值，转义字符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c语音基础中ASCII码值,转义字符 字符常量中字符的ASCII码值,怎么看出来,转义字符ddd,反斜线符&quot;&quot;是什么意思 解决方案 C++基础(C++转义字符)C基础-转义字符C/C++的转义字符 解决方案二: 网上有专门的转码小软件的,你可以下一个 解决方案三: printf(&quot;%d &quot;,'a');//看字符的ASCII的值 是转义字符标志			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7O8AM.html" rel="bookmark">c语言基础-C语言基础中的语法问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C语言基础中的语法问题 下面是我写的代码,是一个加密的过程,运行了几遍都有语法错误,请高手在空闲之余能帮我看下是哪里错了,万分感谢 #include&lt;stdio.h&gt;#include&lt;string.h&gt;void main(){void m(*int); char a[50]*p; int l; scanf(&quot;&quot;%s&quot;&quot;a); l=strlen(a); p=a; m(pl); printf(&quot;&quot;%s&quot;&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kVjNM.html" rel="bookmark">测试-unix c中出现段错误，为什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 unix c中出现段错误,为什么 单独测试 readins = jr_encoder(dest, 4, 2, 8, status.st_size, BLOCKSIZE);没问题,把这个列入单独的文件放在myJerasure.c中再调用就会出现上面的问题 解决方案 是不是分配空间太大了,具体要分析一下你的代码调用参数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwJeOp.html" rel="bookmark">编程-下图中这个东西为什么打不开啊啊啊啊？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 下图中这个东西为什么打不开啊啊啊啊? 在windows应用程序中,如果我进行了单步调试,当程序进行到某一步时,突然间窗口出现了,并闪了一下,窗口就不见了,然后窗口就留在桌面下面这里,想点击它,但是点击了以后这个窗口还是没有打开,怎么回事?如果我不调试,直接运行的话,那窗口就可以随便我怎么弄都行,我最小化,再点击打开它,再最小化.....都可以, 解决方案 当窗口没有创建完成时,你当然点不开了..看你断点的位置在哪里?? 解决方案二: 未从事过windows应用程序的开发,帮不到你,不好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxoylyb.html" rel="bookmark">fence 线程-Fence？android中的东西 你们有听说过吗？进来一起讨论下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Fence?android中的东西 你们有听说过吗?进来一起讨论下 fence,看过源代码的人肯定不会陌生,中文是栅栏的意思,用在android里好像是为了解决cpu调度时乱序的问题,也就是串行操作?? 我不清楚,有大神出来一起讨论下吗,小弟在研究surfaceflinger,里面太多fence 至今没搞清楚它的机制.....而且网上一点资料都没有!!!让这个问答成为第一份资料吧,日后要是我研究有所结果定会分享!! 下面贴出它类的定义 : 在frameworks/native/incl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEanXz.html" rel="bookmark">数字-java基础中循环的问题，请解答</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java基础中循环的问题,请解答 本应该对输入的数字的数位进行计算的程序,输入后得不到回应,咋么了? 解决方案 while后面的多了&quot;:&quot;,number大于0时,while会无限循环,去掉&quot;:&quot;就好了 解决方案二: while后多了个分号,去掉就可以了,否则number没有变化,形成死循环, 因为while的循环体是后边的一条语句或一个程序段,而有了分号就是循环体只执行了空语句. 解决方案三: while后面的&quot;:&quot;号去掉,要不然这个w			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMreayb.html" rel="bookmark" class="title">PHP4&period;0&period;1的变化（二）</a>
					<div>
						31.修正了一个使用MS-SQL时的初始化问题,这个问题可能导致mssql_query()函数的崩溃.(Zeev) 32.把PCRE升级到3.2,并且修正了一个选定的样式为一空字符串时的BUG.(An ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbakNQp.html" rel="bookmark" class="title">如何应用SQL Server DBCC避免堵塞</a>
					<div>
						在危急时刻,数据库一致性检测(DBCC)可能是你最重要的工具.本文向你简单介绍DBCC的功能,它们包括: 检测表和相关目录的完整性. 检测整个数据库. 检测数据库页的完整性. 重建任何指定表中的目录. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJPR4M.html" rel="bookmark" class="title">Design Patterns&colon; Solidify Your C&num; Application Arch</a>
					<div>
						Design Patterns: Solidify Your C# Application Architecture with Design Patterns中文版(下篇)    optimizer( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB8ZKp.html" rel="bookmark" class="title">做好内容建设 夯实网站发展基础</a>
					<div>
						距离百度6.28和7.23大面积更新已经有一段日子了,A5上的站长朋友们对于这次事件的态度也趋于缓和,相比之前揭露百度的种种恶劣行为,现在的站长朋友思考更多的是如何在现有环境中谋求更长远的发展.虽说这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2vY4b.html" rel="bookmark" class="title">高质量网站内容需要达到的三个标准</a>
					<div>
						各位网站优化的工作人员,大家好,我是叶凡西.网站内容无论是建站的初期还是是成熟期都相当重要,网站的外部链接建设虽然会给你的网站权重带来一定的提升.可是仅仅靠外部链接建设对于网站的长期发展是远远不够的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj75EWM.html" rel="bookmark" class="title">ASP&period;NET 2&period;0母版页详解</a>
					<div>
						为了减少在网页设计时出现的变一页则动全站的问题,vs2003升级到vs2005后增加了母版的概念. 你可以把它想像成为&quot;网页模版&quot;,与之不同的是,再也不必每个页面都去更新了,修改一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx9Ojb.html" rel="bookmark" class="title">如何解决oracle 11g中的ORA-00845错误</a>
					<div>
						oracle11g数据库,修改了内存参数memory_max_target=943718400,关闭数据库重新启动的时候报错 [oracle@instuctor shm]$ sqlplus / as  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdRoqM.html" rel="bookmark" class="title">如何使用同步助手安装&period;deb格式的软件？</a>
					<div>
						deb格式是Linux下的一种打包方式,从Cydia上下载安装的软件都是以这种格式打包的. 前提:手机已经越狱,并且安装的Cydia. 首先:将手机连接上同步助手. 其次:打开文件管理,打开Cydia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW9xBb.html" rel="bookmark" class="title">屏幕录像专家使用教程</a>
					<div>
						  屏幕录像专家是一款专业的屏幕录像工具,有时候网上看学习视频或者学习课件时,就需要用到屏幕录像.那么屏幕录像专家怎么用,小编给大家整理了一篇屏幕录像专家使用教程. 1.首先安装屏幕录像专家,可以去百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaNVvM.html" rel="bookmark" class="title">date-shell脚本获取系统日期</a>
					<div>
						问题描述 shell脚本获取系统日期 在命令行执行 date +%m%d 可以顺利得到 0724 但是在shell脚本中这么写显示的却是real 0m0.000suser 0m0.000ssys 0m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKBXaM.html" rel="bookmark" class="title">PropertySet教程-3&period;JDBC方式</a>
					<div>
						inkfish原创,请勿商业性质转载,转载请注明来源(http://blog.csdn.net/inkfish ). PropertySet(来源:http://blog.csdn.net/inkfi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lmy9b.html" rel="bookmark" class="title">丁力：智能工业将是未来主导产业</a>
					<div>
						南都总裁读书会第17场成功举办省社科院丁力教授谈改革前景8月25日,广州珠江新城的富力盈凯广场,来自珠三角的50余名知名企业总裁们齐聚一堂,参加了由本报发起并主办的&quot;南都总裁读书会&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB15GKz.html" rel="bookmark" class="title">大数据时代下 OA助力企业决策更智慧</a>
					<div>
						ZDNET至顶网CIO与应用频道 04月01日 北京消息:伴随着互联网技术的飞速发展,信息量呈爆炸式增长,大数据也因此成为时下的热词,并悄无声息地来到我们身边.当你在淘宝.京东购物时,电商网站会记录你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkejlyb.html" rel="bookmark" class="title">虚拟机连网-虚拟机通过桥接连接无线网络</a>
					<div>
						问题描述 虚拟机通过桥接连接无线网络 我虚拟机用桥接方式联网,主机用无线.主机和宿主机可以相互ping通,虚拟机也可以ping通别人的主机和路由器,为什么虚拟机就上不了网? 解决方案 主机如果是Int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7V0LM.html" rel="bookmark" class="title">hibernate表记录更新引发连接表数据被删问题</a>
					<div>
						问题描述 我的项目中有两个表document.level,它们之间通过连接表实现关联,映射文件如下:表document&lt;hibernate-mapping&gt; &lt;class name= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj64oM.html" rel="bookmark" class="title">网店借&OpenCurlyDoubleQuote;关联商品&rdquo;无声留客</a>
					<div>
						在实体店购买照相机时,即便您提前预想不到,导购员也会提示您顺便一起购买存储卡.读卡器.背包等系列配套商品.现在,&quot;关联商品&quot;的推销同样在网店中实现了.记者发现,当消费者进入网店浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAADneM.html" rel="bookmark" class="title">微信第三方登录-android摄像头权限提醒问题</a>
					<div>
						问题描述 android摄像头权限提醒问题 有个奇怪的问题,app里面需要摄像头权限,当我首次进入app第一个页面的时候并没有提醒是否允许使用摄像头,当我调用微信第三方登录的时候却出现了,这个页面根本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqX6Wz.html" rel="bookmark" class="title">美拍怎么拍短视频 美拍60秒视频怎么拍&quest;</a>
					<div>
						1,我们首先保证自己安装在手机中的美拍是最新版本了,否则我们可以先升级美拍然后再操作了,现在我们打开美拍,然后我们点击页面中下方的按钮开始进行拍摄. 2,在我们点击拍摄按钮之后在打开界面有一个10s的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5YkAp.html" rel="bookmark" class="title">海绵网：在线教育的颠覆者还是牺牲品</a>
					<div>
						每周三.周五的晚上7点,家住景德镇做瓷器经营的店主赵佳都会准时的座在电脑前,在屏幕的另一边,是正在给她上课的一个在北京工作的外教,她们通过互联网的在线即时视频完成通常是需要在线下完成的上课流程. 赵佳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBnvqz.html" rel="bookmark" class="title">像这样多层if嵌套的代码如何优化</a>
					<div>
						问题描述 感觉自己看起来都费劲( ⊙ o ⊙ ),public String login() {boolean loginpass = false;Pckey pckey = null;int val ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjQdWM.html" rel="bookmark" class="title">电视网络正向&OpenCurlyDoubleQuote;3G&rdquo;进军</a>
					<div>
						本报记者 徐瑞哲 正如手机网络已有1G.2G.3G前后三代,有线电视网也正经历从单向有线网络到双向有线网络,再到下一代广电网络的演进过程.专家认为,下一代广电网可算是有线电视网络中的&quot;3G& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYrrrb.html" rel="bookmark" class="title">中京电子：扩容经营范围 大力发展可穿戴</a>
					<div>
						摘要: 23日中京电子(17.37,0.300,1.76%)公告称,公司参股乐源数字20%仅是其进军可穿戴领域的第一步,将于2015 年初启动对乐源数字剩余80%股权的收购工作. 同时,公告显示,公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Zrngz.html" rel="bookmark" class="title">网站百度外链骤减的几个原因解析</a>
					<div>
						第一个:网站内容删减 卖点商情是一个电子报形式的网站,图片尤其的多,就意味着我们区区300M的网站空间是绝对不够多长时间的,我来公司时曾经提出过这个问题,但主管经理很淡定的说这个问题,不是问题.好吧, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2gGWM.html" rel="bookmark" class="title">始终在屏幕中间显示Div的代码&lpar;css&plus;js&rpar;&lowbar;javascript技巧</a>
					<div>
						一.在中间显示;(参考:sky100articles1790515) 复制代码 代码如下: .ordersearchDivCss { position: absolute; z-index: 100; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXAo0z.html" rel="bookmark" class="title">Android提高之Android手机与BLE终端通信&lowbar;Android</a>
					<div>
						最近穿戴设备发展得很火,把相关技术也带旺了,其中一项是BLE(Bluetooth Low Energy).BLE是蓝牙4.0的核心Profile,主打功能是快速搜索,快速连接,超低功耗保持连接和传输数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GNGNM.html" rel="bookmark" class="title">C&num; 技巧&lpar;1&rpar; C&num; 转换时间戳</a>
					<div>
						原文:C# 技巧(1) C# 转换时间戳 经常发现很多地方使用一个时间戳表示时间.比如: 1370838759  表示 2013年6月10日 12:32:39. 我们就需要一个工具,方便地转换这种时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4ZjOb.html" rel="bookmark" class="title">报告称2015年中国将超日本成全球第一奢侈品市场</a>
					<div>
						3月9日上午消息,全球资讯管理公司麦肯锡发布报告称,2010年,在华奢侈品销售额已达到120亿美元,预计2015年,中国奢侈品销售额将达到270亿美元,届时将超过日本成为全球最大的奢侈品市场. 此前网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DO7xb.html" rel="bookmark" class="title">工信部副部长&colon;我国将加快5G、下一代互联网建设应用</a>
					<div>
						我国将加快5G.下一代互联网建设应用 新华社北京10月1日电(记者 张辛欣)工信部副部长陈肇雄近日表示,我国将加大力度持续推进网络提速降费,加快5G.下一代互联网.工业互联网建设应用,繁荣数字经济,推 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWAAAM.html" rel="bookmark" class="title">老A电商启动高校毕业生10万年薪计划</a>
					<div>
						电子商务是现代服务业中的重要产业,从近几年的趋势来看,几乎每年都在以翻番的速度在增长;目前中国已开始进行信息技术升级换代和信息产业结构调整,这就为电子商务的进一步发展创造了良好的条件. 巨大的发展空间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByj6az.html" rel="bookmark" class="title">CIO如何说服CFO为IT项目开绿灯？</a>
					<div>
						CIO如何才能取得CFO的信赖,如何才能说服他们为你在IT项目预算上打开绿灯呢? 有太多的IT在申请项目预算时说得绘声绘色,但最终却无法兑现当时的承诺,这导致企业CFO对IT的预测始终持有怀疑态度,C ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
